From c5d45a69d22ff86284edfc9e2b497cb04c0f209c Mon Sep 17 00:00:00 2001
From: "Paul A. Jungwirth" <pj@illuminatedcomputing.com>
Date: Sat, 17 May 2025 19:25:46 -0400
Subject: [PATCH v1] Fix comment on SearchSysCacheLockedCopy1

It doesn't meld itself with SearchSysCacheCopy. It looks like it melds
SearchSysCacheLocked1.
---
 src/backend/utils/cache/syscache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/cache/syscache.c b/src/backend/utils/cache/syscache.c
index 95a1d0a2749..f944453a1d8 100644
--- a/src/backend/utils/cache/syscache.c
+++ b/src/backend/utils/cache/syscache.c
@@ -396,7 +396,7 @@ SearchSysCacheCopy(int cacheId,
 /*
  * SearchSysCacheLockedCopy1
  *
- * Meld SearchSysCacheLockedCopy1 with SearchSysCacheCopy().  After the
+ * Meld SearchSysCacheLocked1 with SearchSysCacheCopy().  After the
  * caller's heap_update(), it should UnlockTuple(InplaceUpdateTupleLock) and
  * heap_freetuple().
  */
-- 
2.45.0

